v_sdirxss: xv_sdirxss_log.c File Reference

| v_sdirxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xv_sdirxss_log.c File Reference

## Overview

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   jsr  07/17/17 Initial release.

## Functions
void | XV_SdiRxSs_LogReset (XV_SdiRxSs *InstancePtr)
| This function will reset the driver's logging mechanism. More...
void | XV_SdiRxSs_LogWrite (XV_SdiRxSs *InstancePtr, XV_SdiRxSs_LogEvent Evt, u8 Data)
| This function will insert an event in the driver's logginc mechanism. More...
u16 | XV_SdiRxSs_LogRead (XV_SdiRxSs *InstancePtr)
| This function will read the last event from the log. More...
void | XV_SdiRxSs_LogDisplay (XV_SdiRxSs *InstancePtr)
| This function will print the entire log. More...

## Function Documentation

void XV_SdiRxSs_LogDisplay | ( | XV_SdiRxSs * | InstancePtr | ) |

This function will print the entire log.

Parameters

  InstancePtr | is a pointer to the XV_SdiRxSs core instance.

Returns
  None.

Note
  None.

References XV_SDIRXSS_LOG_EVT_NONE, XV_SDIRXSS_LOG_EVT_OVERFLOW, XV_SDIRXSS_LOG_EVT_RESET, XV_SDIRXSS_LOG_EVT_SDIRX_INIT, XV_SDIRXSS_LOG_EVT_SETSTREAM, XV_SDIRXSS_LOG_EVT_START, XV_SDIRXSS_LOG_EVT_STOP, XV_SDIRXSS_LOG_EVT_STREAMDOWN, XV_SDIRXSS_LOG_EVT_STREAMSTART, XV_SDIRXSS_LOG_EVT_STREAMUP, XV_SDIRXSS_LOG_EVT_UNDERFLOW, and XV_SdiRxSs_LogRead().

u16 XV_SdiRxSs_LogRead | ( | XV_SdiRxSs * | InstancePtr | ) |

This function will read the last event from the log.

Parameters

  InstancePtr | is a pointer to the XV_SdiRxSs core instance.

Returns
  The log data.

Note
  None.

References XV_SdiRxSs_Log::DataBuffer, XV_SdiRxSs_Log::HeadIndex, XV_SdiRxSs::Log, and XV_SdiRxSs_Log::TailIndex.

Referenced by XV_SdiRxSs_LogDisplay().

void XV_SdiRxSs_LogReset | ( | XV_SdiRxSs * | InstancePtr | ) |

This function will reset the driver's logging mechanism.

Parameters

  InstancePtr | is a pointer to the xv_sdirxss core instance.

Returns
  None.

Note
  None.

References XV_SdiRxSs_Log::HeadIndex, XV_SdiRxSs::Log, and XV_SdiRxSs_Log::TailIndex.

void XV_SdiRxSs_LogWrite | ( | XV_SdiRxSs * | InstancePtr,
|  | XV_SdiRxSs_LogEvent | Evt,
|  | u8 | Data
| ) |  |

This function will insert an event in the driver's logginc mechanism.

Parameters

  InstancePtr | is a pointer to the XV_SdiRxSs core instance.
  Evt | is the event type to log.
  Data | is the associated data for the event.

Returns
  None.

Note
  None.

References XV_SdiRxSs_Log::DataBuffer, XV_SdiRxSs_Log::HeadIndex, XV_SdiRxSs::Log, XV_SdiRxSs_Log::TailIndex, and XV_SDIRXSS_LOG_EVT_DUMMY.

Referenced by XV_SdiRxSs_Start(), XV_SdiRxSs_Stop(), and XV_SdiRxSs_SubcoreInitSdiRx().